/*
 *  linux/include/linux/i2c-s3531a.h
 *
 *  Copyright (C) 2001 Atmark Techno, Inc.
 */

#define RTC_GETTIME	   0
#define RTC_GETDATETIME	   1
#define RTC_SETTIME	   2
#define RTC_SETDATETIME	   3
#define RTC_GETCTRL	   4
#define RTC_SETCTRL	   5

#define CTRL_POWER         0x01
#define CTRL_12_24         0x02
#define CTRL_INT1AE        0x04
#define CTRL_INT1ME        0x10
#define CTRL_INT1FE        0x40

#define I2C_S3531A_ADDRESS 0x30

struct s3531a_time {
  int year; /* Year - 2000.        */
  int mon;  /* Month.       [1-12] */
  int mday; /* Day.         [1-31] */
  int wday; /* Day of week. [0-6]  */
  int hour; /* Hours.       [0-23] */
  int min;  /* Minutes.     [0-59] */
  int sec;  /* Seconds.     [0-59] */
};
